SFML

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Protected Member Functions | Static Protected Member Functions | List of all members
sf::GlResource Class Reference
Window module

Base class for classes that require an OpenGL context. More...

`#include <GlResource.hpp>`

Inheritance diagram for sf::GlResource:

## Protected Member Functions

| GlResource ()
| Default constructor. More...
| ~GlResource ()
| Destructor. More...

## Static Protected Member Functions

static void | ensureGlContext ()
| Make sure that a valid OpenGL context exists in the current thread. More...

## Detailed Description

Base class for classes that require an OpenGL context.

This class is for internal use only, it must be the base of every class that requires a valid OpenGL context in order to work.

Definition at line 40 of file GlResource.hpp.

## Constructor & Destructor Documentation

sf::GlResource::GlResource | ( |  | ) |

protected

Default constructor.

sf::GlResource::~GlResource | ( |  | ) |

protected

Destructor.

## Member Function Documentation

static void sf::GlResource::ensureGlContext | ( |  | ) |

static protected

Make sure that a valid OpenGL context exists in the current thread.

The documentation for this class was generated from the following file:

- GlResource.hpp